/******************************************************************************
Ootake

 [KeyConfig.h]
	PCEゲームパッドやショートカットキーの割り当て設定を行うフォーム

Copyright(C)2006-2020 Kitao Nakamura.
	改造版・後継版を公開なさるときは必ずソースコードを添付してください。
	その際に事後でかまいませんので、ひとことお知らせいただけると幸いです。
	商的な利用は禁じます。
	あとは「GNU General Public License(一般公衆利用許諾契約書)」に準じます。

******************************************************************************/
#ifndef KEYCONFIG_H_INCLUDED
#define KEYCONFIG_H_INCLUDED

#include "TypeDefs.h"
#include <windows.h>


BOOL
KEYCONFIG_Init(
	HWND		hWnd,
	HINSTANCE	hInstance,
	Sint32	 	padID,
	Sint32*		setOk);

void
KEYCONFIG_Deinit();

HWND
KEYCONFIG_GetHwnd();

void
KEYCONFIG_ToChrPcePad(
	char*	pBuf2,
	Sint16	data);

#endif /* KEYCONFIG_H_INCLUDED */
